PR_GET_TID_ADDRESS(2const)

NAME
PR_GET_TID_ADDRESS - get the clear_child_tid address

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <linux/prctl.h>  /* Definition of PR_* constants */
#include <sys/prctl.h>

int prctl(PR_GET_TID_ADDRESS, int **addrp);

DESCRIPTION
Return the clear_child_tid address set by set_tid_address(2) and the clone(2) CLONE_CHILD_CLEARTID flag, in the location pointed to by addrp.

This feature is available only if the kernel is built with the CONFIG_CHECKPOINT_RESTORE option enabled.

RETURN VALUE
On success, 0 is returned. On error, -1 is returned, and errno is set to indicate the error.

ERRORS

EFAULT
    addrp is an invalid address.

STANDARDS
Linux.

HISTORY
Linux 3.5.

CAVEATS
Note that since the prctl() system call does not have a compat implementation for the AMD64 x32 and MIPS n32 ABIs, and the kernel writes out a pointer using the kernel's pointer size, this operation expects a user-space buffer of 8 (not 4) bytes on these ABIs.

SEE ALSO
prctl(2)